version: "3"

services:
  backend:
    container_name: bmim-backend
    build:
      # context: ../
      dockerfile: backend/Dockerfile
    volumes:
      - shared-volume:/usr/share/nginx/html/uploads
    image: bmimb-docker-be-image
    ports:
      - "8100:8000"
    restart: unless-stopped
  frontend:
    container_name: bmim-frontend
    build:
      # context: ../
      dockerfile: frontend/Dockerfile
    volumes:
      - shared-volume:/usr/share/nginx/html/uploads
    image: bmim-docker-fe-image
    ports:
      - "3100:3000"
    depends_on:
      - backend
volumes:
  shared-volume:
